Skip to main content
POST
Add a designation-only gift to checkout

Path Parameters

client_id
integer
required

Client id that owns the checkout page and designation.

hysform_id
integer
required

Donor HysForm id used by the designation-only checkout page.

designation_id
string
required

Configured designation checkout id from the landing page. It may be a concrete id or all when all client designations are shown.

currency
string
required

Currency symbol or code used only for the donor-facing confirmation message.

session_id
string
required

Optional Redis frontend session id used to store the designation cart. A new session is created when this one is missing or expired.

Body

application/json

Designation and amount selected by the donor. designation_amount is the only validator rule; designation is also required by downstream cart storage.

designation
integer
required

Designation id to add to saved_designations. Downstream expectation: required array key.

Example:

88

designation_amount
number<float>
required

Gift amount. Validator rule: numeric|min:1.00|required.

Required range: x >= 1
Example:

25

Response

Designation gift was added to the checkout session.

message
string
Example:

"Gift of $25 was added"

status
string
Example:

"success"